Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing
Class OWLTestLibrary

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.OWLTestLibrary

    public class OWLTestLibrary

extends Object

A static utility class that manages the available OWLTests on this machine.

Author:
  Holger Knublauch

Constructor Summary
`OWLTestLibrary()`

Method Summary
`static void` | `addOWLTestClass(Class clazz)` A work-around method for OWLTests from outside the OWL Plugin.
`static OWLTest` | `getOWLTest(Class clazz)`
`static Class[]` | `getOWLTestClasses()`
`static boolean` | `isOWLDLTest(Class clazz)`
`static void` | `repairRDFPropertyTests(RDFProperty property)` Repairs all OWLSlotTests that are marked as AutoRepairableOWLTest on a given OWLProperty.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLTestLibrary

    public OWLTestLibrary()

Method Detail

### addOWLTestClass

    public static void addOWLTestClass(Class clazz)

  A work-around method for OWLTests from outside the OWL Plugin. Since due to a bug in the Java virtual machine these Classes can not be found through their manifest, they need to be added manually, preferably through a ProjectPlugin.

  Parameters:
    `clazz` - the Class of an OWLTest to add

### getOWLTest

    public static OWLTest getOWLTest(Class clazz)

### getOWLTestClasses

    public static Class[] getOWLTestClasses()

### isOWLDLTest

    public static boolean isOWLDLTest(Class clazz)

### repairRDFPropertyTests

    public static void repairRDFPropertyTests(RDFProperty property)

  Repairs all OWLSlotTests that are marked as AutoRepairableOWLTest on a given OWLProperty.

  Parameters:
    `property` - the OWLProperty to repair

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.